function [ segment ] = vzorkovani( signal )
%% Rozděleni zvukoveho souboru na úseky a výpčet jejich kepsra
% 
%vstup signál
%zvukový signál
%
%výstup segment
%zvukový signál upraven
%

%% načtení délky úseku

if exist('parametr.mat') == 2
    load('parametr.mat');
    vzorek = dataParam.dataVzorek;
else
    vzorek = 320;
end

%% navzorkování signálu

rozmer=length(signal);
citac=0;
pocet=ceil(rozmer/vzorek);

zvuk=zeros(pocet*vzorek,1);
zvuk(1:rozmer)=signal(1:rozmer);
segment = zeros(25,pocet);

 while (citac<pocet)
    
    if (citac==0) 
        od=1;
        do=citac*vzorek+vzorek+10;
    elseif (citac==pocet-1)
        od=citac*vzorek+1-10;
        do=citac*vzorek+vzorek;
    else
        od=citac*vzorek+1-10;
        do=citac*vzorek+vzorek+10;
    end;
    
    signal_a =  zvuk((od):(do),1);
    
    delka=length(signal_a);  
    signal_b = signal_a.*hamming(delka);             %vahovaní Hammingovým oknem
    
    spektrum = abs ( fft (signal_b));                %výpočet spektra
    kepstrum = real ( ifft ( log ( spektrum )));     %výpočet kepstra
    
    segment(1:25,citac+1)=kepstrum(2:26,1);
    citac = citac+1;
    
    
end;

end

